commit:     de0ffe064886ece1687ebd61d410023203fa9916
Author:     Sebastian Pipping <sping <AT> gentoo <DOT> org>
AuthorDate: Fri Feb  7 22:04:18 2020 +0000
Commit:     Sebastian Pipping <sping <AT> gentoo <DOT> org>
CommitDate: Fri Feb  7 22:06:00 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=de0ffe06

www-apps/nikola: 8.0.4

Closes: https://bugs.gentoo.org/674368
Signed-off-by: Sebastian Pipping <sping <AT> gentoo.org>
Package-Manager: Portage-2.3.84, Repoman-2.3.20

 www-apps/nikola/Manifest                          |  1 +
 www-apps/nikola/files/nikola-8.0.4-setup-py.patch | 47 ++++++++++++++++
 www-apps/nikola/nikola-8.0.4.ebuild               | 66 +++++++++++++++++++++++
 3 files changed, 114 insertions(+)

diff --git a/www-apps/nikola/Manifest b/www-apps/nikola/Manifest
index 79fe3fe29de..1da720e5956 100644
--- a/www-apps/nikola/Manifest
+++ b/www-apps/nikola/Manifest
@@ -1 +1,2 @@
 DIST Nikola-7.8.15.tar.gz 4131518 BLAKE2B 
ea3dca9340852a68b668de82e5deeaa0ecf7bb8597f311721b27409fe0cf820919c79f6e631b030bd3ea4571dd8480c862c607d0b9e6015a8b03023de5a9b93e
 SHA512 
b441ae014539b948d007183ceb574243b89a498be265da7245095f67510d4d7c109c4935e0f9765b4144e82f788a1b66a0eacfba1477a89ce6c2645cb77102d7
+DIST Nikola-8.0.4.tar.gz 4137494 BLAKE2B 
04db8b83f34ca9b3cee785c5eed9d0421d27acf750c4f17dc3bec0df6fd4f462af52a65c0c97a07777922da3bf3fa855d58d546479b19bfb152e8190d2f74524
 SHA512 
eb6774d11be4eab81fbe41115d80e5d0d38694b734431d5d6355fcd3e3d8ae5ff4a02114c5dd0dbbc9e1ea5a625e9ac2b6b91e82f6e017b4376e4ca8d56cfec7

diff --git a/www-apps/nikola/files/nikola-8.0.4-setup-py.patch 
b/www-apps/nikola/files/nikola-8.0.4-setup-py.patch
new file mode 100644
index 00000000000..8089b4ee8b2
--- /dev/null
+++ b/www-apps/nikola/files/nikola-8.0.4-setup-py.patch
@@ -0,0 +1,47 @@
+From 89bfbfb5bb0ffc823664557ff59f90db03f7b10f Mon Sep 17 00:00:00 2001
+From: Chris Warrick <[email protected]>
+Date: Fri, 7 Feb 2020 13:06:06 +0100
+Subject: [PATCH] =?UTF-8?q?Fix=20#3348=20=E2=80=94=20don=E2=80=99t=20ship?=
+ =?UTF-8?q?=20tests=20to=20site-packages?=
+MIME-Version: 1.0
+Content-Type: text/plain; charset=UTF-8
+Content-Transfer-Encoding: 8bit
+
+---
+ CHANGES.txt | 12 ++++++++++++
+ setup.py    |  2 +-
+ 2 files changed, 13 insertions(+), 1 deletion(-)
+
+diff --git a/CHANGES.txt b/CHANGES.txt
+index e76f24bee..815b37849 100644
+--- a/CHANGES.txt
++++ b/CHANGES.txt
+@@ -1,3 +1,15 @@
++New in master
++============
++
++Features
++--------
++
++Bugfixes
++--------
++
++* Avoid installing ``tests`` package to site-packages, remove it from
++  your environment if it was inadvertently added (Issue #3348)
++
+ New in v8.0.4
+ =============
+ 
+diff --git a/setup.py b/setup.py
+index f6ca027b7..e4f2c7fc7 100755
+--- a/setup.py
++++ b/setup.py
+@@ -105,7 +105,7 @@ def run(self):
+       author='Roberto Alsina and others',
+       author_email='[email protected]',
+       url='https://getnikola.com/',
+-      packages=find_packages(exclude=('tests',)),
++      packages=find_packages(exclude=('tests', 'tests.*')),
+       license='MIT',
+       keywords='website, blog, static',
+       classifiers=['Development Status :: 5 - Production/Stable',

diff --git a/www-apps/nikola/nikola-8.0.4.ebuild 
b/www-apps/nikola/nikola-8.0.4.ebuild
new file mode 100644
index 00000000000..abec5ee581f
--- /dev/null
+++ b/www-apps/nikola/nikola-8.0.4.ebuild
@@ -0,0 +1,66 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+PYTHON_COMPAT=( python3_6 )
+DISTUTILS_USE_SETUPTOOLS=rdepend
+
+inherit distutils-r1
+
+MY_PN="Nikola"
+MY_P="${MY_PN}-${PV}"
+
+DESCRIPTION="A static website and blog generator"
+HOMEPAGE="https://getnikola.com/";
+SRC_URI="mirror://pypi/${MY_PN:0:1}/${MY_PN}/${MY_P}.tar.gz"
+
+LICENSE="MIT Apache-2.0 CC0-1.0 public-domain"
+SLOT="0"
+KEYWORDS="~amd64"
+IUSE="assets charts ghpages hyphenation ipython jinja watchdog webmedia 
websocket"
+RESTRICT="test" # needs coveralls
+
+DEPEND=">=dev-python/docutils-0.13[${PYTHON_USEDEP}]" # needs rst2man to build 
manpage
+RDEPEND="${DEPEND}
+       >=dev-python/Babel-2.6.0[${PYTHON_USEDEP}]
+       >=dev-python/blinker-1.3[${PYTHON_USEDEP}]
+       >=dev-python/doit-0.30.1[${PYTHON_USEDEP}]
+       >=dev-python/lxml-3.3.5[${PYTHON_USEDEP}]
+       >=dev-python/mako-1.0[${PYTHON_USEDEP}]
+       >=dev-python/markdown-3.0.0[${PYTHON_USEDEP}]
+       >=dev-python/natsort-3.5.2[${PYTHON_USEDEP}]
+       >=dev-python/piexif-1.0.3[${PYTHON_USEDEP}]
+       >=dev-python/pygments-1.6[${PYTHON_USEDEP}]
+       >=dev-python/PyRSS2Gen-1.1[${PYTHON_USEDEP}]
+       >=dev-python/python-dateutil-2.6.0[${PYTHON_USEDEP}]
+       >=dev-python/requests-2.2.0[${PYTHON_USEDEP}]
+       >=dev-python/unidecode-0.04.16[${PYTHON_USEDEP}]
+       >=dev-python/yapsy-1.11.223[${PYTHON_USEDEP}]
+       dev-python/pillow[${PYTHON_USEDEP}]
+       dev-python/cloudpickle[${PYTHON_USEDEP}]
+       assets? ( >=dev-python/webassets-0.10.1[${PYTHON_USEDEP}] )
+       charts? ( >=dev-python/pygal-2.0.1[${PYTHON_USEDEP}] )
+       ghpages? ( >=dev-python/ghp-import-0.4.1[${PYTHON_USEDEP}] )
+       hyphenation? ( >=dev-python/pyphen-0.9.1[${PYTHON_USEDEP}] )
+       ipython? ( >=dev-python/ipython-2.0.0[notebook,${PYTHON_USEDEP}] )
+       jinja? ( >=dev-python/jinja-2.7.2[${PYTHON_USEDEP}] )
+       watchdog? ( ~dev-python/watchdog-0.8.3[${PYTHON_USEDEP}] )
+       webmedia? ( >=dev-python/micawber-0.3.0[${PYTHON_USEDEP}] )
+       websocket? ( ~dev-python/ws4py-0.3.4[${PYTHON_USEDEP}] )"
+#      typography? ( >=dev-python/typogrify-2.0.4[${PYTHON_USEDEP}] ) # needs 
smartypants
+
+S="${WORKDIR}/${MY_P}"
+
+PATCHES=(
+       "${FILESDIR}"/${P}-setup-py.patch
+)
+
+src_install() {
+       distutils-r1_src_install
+
+       # hackish way to remove docs that ended up in the wrong place
+       rm -rv "${D}/usr/share/doc/${PN}" || die
+
+       dodoc AUTHORS.txt CHANGES.txt README.rst docs/*.rst
+       gunzip "${D}/usr/share/man/man1/${PN}.1.gz" || die
+}

Reply via email to